from dataclasses import dataclass
from typing import List

from backend.metric.model import MetricValue
from backend.tree.model import Rule, TreeNode


@dataclass
class RegressionResult:
    tree: List[TreeNode]
    rules: List[Rule]
    mse: MetricValue
    mae: MetricValue
    rmse: MetricValue
    rmae: MetricValue
    r2: MetricValue
